Bug 1459541 - [abrt] backintime-common: call_blocking(): connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoMemory: Launcher could not run (out of memory)
[abrt] backintime-common: call_blocking(): connection.py:651:call_blocking:db...
Status: NEW
Product: Fedora
Classification: Fedora
Component: backintime (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6937b145ef86339b472849604f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 08:18 EDT by Jerry Amundson
Modified: 2017-09-22 06:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.67 KB, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details
File: environ (1.30 KB, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details
File: mountinfo (3.40 KB, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details
File: open_fds (910 bytes, text/plain)
2017-06-07 08:18 EDT, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2017-06-07 08:18:44 EDT
Description of problem:
After login, the notification of a problem was first thing on the desktop.

Version-Release number of selected component:
backintime-common-1.1.20-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3 /usr/share/backintime/common/backintime.py pw-cache start
crash_function: call_blocking
exception_type: dbus.exceptions.DBusException
executable:     /usr/share/backintime/common/backintime.py
kernel:         4.11.3-302.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoMemory: Launcher could not run (out of memory)

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'net.launchpad.backintime.serviceHelper': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 874, in <module>
    start_app()
  File "/usr/share/backintime/common/backintime.py", line 459, in start_app
    args.func(args)
  File "/usr/share/backintime/common/backintime.py", line 766, in pwCache
    cfg = getConfig(args)
  File "/usr/share/backintime/common/backintime.py", line 584, in getConfig
    cfg = config.Config(args.config)
  File "/usr/share/backintime/common/config.py", line 272, in __init__
    self.setupUdev = tools.SetupUdev()
  File "/usr/share/backintime/common/tools.py", line 1213, in __init__
    conn = bus.get_object(SetupUdev.CONNECTION, SetupUdev.OBJECT)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python3.6/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoMemory: Launcher could not run (out of memory)

Local variables in innermost frame:
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
get_args_opts: {'byte_arrays': False}
kwargs: {}
byte_arrays: False
timeout: -1.0
args: ('net.launchpad.backintime.serviceHelper', 0)
signature: 'su'
method: 'StartServiceByName'
dbus_interface: 'org.freedesktop.DBus'
object_path: '/org/freedesktop/DBus'
bus_name: 'org.freedesktop.DBus'
self: <dbus._dbus.SystemBus (system) at 0x7f2d5560f150>

Potential duplicate: bug 1412440
Comment 1 Jerry Amundson 2017-06-07 08:18:49 EDT
Created attachment 1285783 [details]
File: backtrace
Comment 2 Jerry Amundson 2017-06-07 08:18:50 EDT
Created attachment 1285784 [details]
File: cgroup
Comment 3 Jerry Amundson 2017-06-07 08:18:51 EDT
Created attachment 1285785 [details]
File: cpuinfo
Comment 4 Jerry Amundson 2017-06-07 08:18:52 EDT
Created attachment 1285786 [details]
File: environ
Comment 5 Jerry Amundson 2017-06-07 08:18:53 EDT
Created attachment 1285787 [details]
File: mountinfo
Comment 6 Jerry Amundson 2017-06-07 08:18:55 EDT
Created attachment 1285788 [details]
File: namespaces
Comment 7 Jerry Amundson 2017-06-07 08:18:57 EDT
Created attachment 1285789 [details]
File: open_fds
Comment 8 Raphael Groner 2017-09-22 06:14:54 EDT
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoMemory: Launcher could not run (out of memory)

How many memory is in your box? Do run backintime in a sandbox somehow (Docker, Virtualization, etc.)?

Note You need to log in before you can comment on or make changes to this bug.